Upstream information

CVE-2020-15522 at MITRE

Description

Bouncy Castle BC Java before 1.66, BC C# .NET before 1.8.7, BC-FJA before 1.0.1.2, 1.0.2.1, and BC-FNA before 1.0.1.1 have a timing issue within the EC math library that can expose information about the private key when an attacker is able to observe timing information for the generation of multiple deterministic ECDSA signatures.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 5.9
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1186328 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2163
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2163
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • bouncycastle-javadoc >= 1.64-3.3.1
  • bouncycastle-mail >= 1.64-3.3.1
  • bouncycastle-pkix >= 1.64-3.3.1
  • bouncycastle-tls >= 1.64-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2163
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • bouncycastle-javadoc >= 1.64-3.3.1
  • bouncycastle-mail >= 1.64-3.3.1
  • bouncycastle-pkix >= 1.64-3.3.1
  • bouncycastle-tls >= 1.64-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2163
openSUSE Leap 15.2
  • bouncycastle >= 1.64-lp152.2.3.1
  • bouncycastle-javadoc >= 1.64-lp152.2.3.1
  • bouncycastle-mail >= 1.64-lp152.2.3.1
  • bouncycastle-pg >= 1.64-lp152.2.3.1
  • bouncycastle-pkix >= 1.64-lp152.2.3.1
  • bouncycastle-tls >= 1.64-lp152.2.3.1
Patchnames:
openSUSE-2021-940
openSUSE Leap 15.3
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-javadoc >= 1.64-3.3.1
  • bouncycastle-mail >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pkix >= 1.64-3.3.1
  • bouncycastle-tls >= 1.64-3.3.1
Patchnames:
openSUSE-SLE-15.3-2021-2163
openSUSE Tumbleweed
  • bouncycastle >= 1.68-3.2
  • bouncycastle-javadoc >= 1.68-3.2
  • bouncycastle-mail >= 1.68-3.2
  • bouncycastle-pg >= 1.68-3.2
  • bouncycastle-pkix >= 1.68-3.2
  • bouncycastle-tls >= 1.68-3.2
Patchnames:
openSUSE Tumbleweed GA bouncycastle-1.68-3.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Development Tools 15 SP2 bouncycastle Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 bouncycastle Released